eID middleware |

# be.portugal.eid.PTEID_ExNotAllowByUser Class Reference

Exception class Not allow by user (error code = EIDMW_ERR_NOT_ALLOW_BY_USER). More...

Inheritance diagram for be.portugal.eid.PTEID_ExNotAllowByUser:

List of all members.

## Public Member Functions

synchronized void | delete ()
| PTEID_ExNotAllowByUser ()
| Constructor.

## Protected Member Functions

| PTEID_ExNotAllowByUser (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions

static long | getCPtr (PTEID_ExNotAllowByUser obj)

## Detailed Description

Exception class Not allow by user (error code = EIDMW_ERR_NOT_ALLOW_BY_USER).

Thrown when the user didn't allow to read the card data

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExNotAllowByUser.PTEID_ExNotAllowByUser | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExNotAllowByUser.PTEID_ExNotAllowByUser | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExNotAllowByUser.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExNotAllowByUser.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExNotAllowByUser.getCPtr | ( | PTEID_ExNotAllowByUser | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExNotAllowByUser.swigCPtr.